%define oname rosa

Summary:	ROSA icons theme
Name:		%{oname}-icons
Version:	1.1.17
Release:	1
License:	GPLv2+
Group:		Graphical desktop/Other
Url:		http://www.rosalinux.com
# https://abf.rosalinux.ru/uxteam/rosa-icons-devel
Source0:	%{name}-devel-v%{version}.tar.gz
Source1:	kdenlive-actions.tar.xz
Source2:	gnome3-devices.tar.xz
BuildRequires:	fdupes
BuildRequires:	inkscape
Requires:	gnome-icon-theme
BuildArch:	noarch

%description
ROSA icon theme is high quality icon theme for KDE, GNOME and Xfce.
It is part of ROSA theme pack - theme for ROSA Desktop distribution.
Initially based on the original icon theme Elementary by Daniel Fore
(Dan Rabbit).

%files
%{_datadir}/icons/%{oname}/*

#----------------------------------------------------------------------------

%prep
%setup -qn %{name}-devel-v%{version}
tar xJf %{SOURCE1}
tar xJf %{SOURCE2}

%build

%install
mkdir -p %{buildroot}%{_datadir}/icons/%{oname}
cp -rf ./* %{buildroot}%{_datadir}/icons/%{oname}

# An ugly hack to work with Inkscape
# TODO: Neccessary find a real problem!
pushd %{buildroot}%{_datadir}/icons/%{oname}/16x16/places
for i in `ls`
do
    echo "Converting $i to plain SVG:"
    inkscape -l $i $i
done
# devices icons should be converted too
cd %{buildroot}%{_datadir}/icons/%{oname}/16x16/devices
for i in `ls`
do
    echo "Converting $i to plain SVG:"
    inkscape -l $i $i
done
popd

# Create folder-cyan, folder-default and folder-favorites icons
for N in 16 22 24 32 48 64 128;
do
pushd %{buildroot}%{_iconsdir}/rosa/${N}x${N}/places/
    ln -s folder.svg folder-cyan.svg
    ln -s folder.svg folder-default.svg
    ln -s folder.svg folder-favorites.svg
popd
done

%fdupes -s %{buildroot}%{_datadir}/icons/%{oname}


%changelog

* Thu Mar 09 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.17-1
- (95dcf03) New version 1.1.17
- (95dcf03) Revert folder-red to use blue icon

* Thu Mar 09 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.16-2
- (6f732aa) Add folder-favorites stub icon

* Tue Feb 28 2017 Michl Voznesensky <m.voznesensky@rosalinux.ru> 1.1.16-1
- (4355e01) Update to version 1.1.16. Add colors folder and create symlink folder-cyan, folder-dafault for folder icon

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.15-3
- (b188da5) MassBuild#1230: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.15-2
- (f0841a8) MassBuild#1169: Increase release tag

* Sun Jul 24 2016 valerol <valerol@ya.ru> 1.1.15-1
- (32d223a) New version 1.1.15 (add folder-temp icon)

* Sun Jul 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.14-1
- (92f5abc) New version 1.1.14 (use our old nepomuk icon as baloo and preferences-desktop-baloo icon)

* Sun Jul 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.13-1
- (1c54e77) New version 1.1.13 (add preferences-desktop-plasma, baloo and preferences-desktop-baloo icons)

* Wed Jul 06 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.12-1
- (0f54fb5) Bump version in spec to 1.1.12

* Wed Jul 06 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.11-1
- (5740e29) New version 1.1.12 (add start-here-kde icons)
- (Andrey Bondrov: 6de7940) New version 1.1.11 (add application-menu action icons)

* Sun Jul 03 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.10-1
- (e25470d) New version 1.1.10 (add folder-txt icon)

* Sat Jul 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.9-1
- (1492c68) New version 1.1.9 (add folder-text icon, inherit oxygen icons)
- (1492c68) Drop oxygen patch (merged into source tarball)

* Fri Jul 01 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.8-2
- (a3cf68a) Inherit oxygen icons

* Wed Apr 06 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.8-1
- (7c63d32) New version 1.1.8 (add libreoffice-startcenter icons)

* Fri Dec 04 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.7-4
- (c8483ed) Bump release again

* Fri Dec 04 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.7-3
- (169689c) Bump release

* Thu Dec 03 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.7-2
- (acb863d) Add missing popd

* Thu Dec 03 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.7-1
- (bc48c43) New version 1.1.7 (add new icons: symbolic actions for list-* items)

* Fri Jul 03 2015 Ural Mullabaev <ural.mullabaev@rosalab.ru> 1.1.6-3
- (b457e26) Change icons source

* Fri Jul 03 2015 Ural Mullabaev <ural.mullabaev@rosalab.ru> 1.1.6-2
- (f0f1a2e) Bump release

* Thu Jul 02 2015 Ural Mullabaev <ural.mullabaev@rosalab.ru> 1.1.6-1
- (e7a38e9) Updated to version 1.1.6

* Fri Jun 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.5-2
- (c2c57bb) Add folder-red icon (symlink from folder icon) to avoid fallback to Oxygen icon in KDE

* Wed Apr 08 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.1.5-1
- (212fd7b) 1.1.5 - fix index.theme errors (bug 5143)

* Thu Feb 26 2015 Stas Fomin <stas-fomin@yandex.ru> 1.1.4-4
- (ce3c622) Updated rosa-icons.spec

* Thu Feb 26 2015 Stas Fomin <stas-fomin@yandex.ru> 1.1.4-3
- (df0bc4e) Updated rosa-icons.spec

* Sun Feb 22 2015 Alexander Lakhin <a.lahin@ntcit-rosa.ru> 1.1.4-2
- (63cae22) MassBuild#656: Increase release tag

* Tue Feb 17 2015 Stas Fomin <stas-fomin@yandex.ru> 1.1.4-1
- (bea9940) Gnome icons fixes. Bug 2251. Rewrite spec to get icons sources directly from ABF

* Fri Oct 03 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.3-8
- (b079390) Inherit gnome theme

* Wed Aug 20 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.3-7
- (d6fe13d) Don't inherit Gnome themes, especially HighContrast


